#!/bin/bash
# AI Shell 快速升级脚本

set -e

echo "🔄 AI Shell 快速升级..."

# 检查是否在项目目录
if [ ! -f "pyproject.toml" ]; then
    echo "❌ 请在 ai-shell 项目目录中运行此脚本"
    exit 1
fi

# 升级补丁版本
echo "📈 升级版本..."
python scripts/bump_version.py patch

# 重新构建
echo "📦 重新构建..."
uv build

# 重新安装
echo "🔧 重新安装..."
uv tool install . --force

# 验证
echo "✅ 升级完成！"
echo ""
echo "新版本信息："
ai --version

echo ""
echo "🧪 可以测试以下命令："
echo "  ai --config"
echo "  ai \"echo test\""
echo "  ai \"list files\""
